Bug 12543 - classicupgrade fails without ntvfs due to use_xattrs mixup
classicupgrade fails without ntvfs due to use_xattrs mixup
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-30 02:33 UTC by Andrew Bartlett
Modified: 2017-02-15 10:43 UTC (History)
3 users (show)

See Also:


Attachments
patch for master (3.00 KB, patch)
2017-01-30 02:46 UTC, Andrew Bartlett
no flags Details
patch for 4.6 (3.18 KB, patch)
2017-02-13 08:17 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-01-30 02:33:26 UTC
The samba-tool domain classicupgrade tool (and in a similar way samba-tool domain provision) fail when not build with --with-ntvfs-fileserver, --enable-developer or --enable-selftest due to a mixup in default value handling.
Comment 1 Andrew Bartlett 2017-01-30 02:46:11 UTC
Created attachment 12861 [details]
patch for master

I've mailed this patch to the samba@ list for review by the original reporter.
Comment 2 Andrew Bartlett 2017-02-13 08:17:12 UTC
Created attachment 12919 [details]
patch for 4.6

Please review for 4.6.

Thanks!
Comment 3 Karolin Seeger 2017-02-13 15:27:52 UTC
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-02-13 15:46:02 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!
Comment 5 Stefan Metzmacher 2017-02-13 15:53:21 UTC
Not in v4-6-test yet...
Comment 6 Karolin Seeger 2017-02-13 16:01:48 UTC
user@host:/data/git/samba/v4-6-test$ git am 0001-samba-tool-Correct-handling-of-default-value-for-use.patch
Applying: samba-tool: Correct handling of default value for use_ntvfs and use_xattrs
error: patch failed: python/samba/netcmd/domain.py:298
error: python/samba/netcmd/domain.py: patch does not apply
Comment 7 Stefan Metzmacher 2017-02-13 16:07:40 UTC
(In reply to Karolin Seeger from comment #6)

Hi Karo,

see you comment #3, you already applied it, I just reopened it
as it's only in autobuild-v4-6-test, but not yet in v4-6-test (that's why I reopened the bug).

If you try to apply it twice it fails for sure...

metze
Comment 8 Karolin Seeger 2017-02-15 10:43:09 UTC
Pushed to v4-6-test.
Closing out bug report.

Thanks!